% Matlab code to generate figure 6 in:
% "Causal Discovery with Continuous Additive Noise Models"
% J. Peters, J.M. Mooij, D. Janzing, B. Schoelkopf
% Journal of Machine Learning Research, 2014 (forthcoming)
% preprint: http://arxiv.org/pdf/1309.6779

nrpairs = 86; % maximum number of cause-effect pairs to use
Nmax = Inf; % maximum number of data points per pair to use (Inf=use all available data (slow!), 100=use only 100 data points (fast))

% run GP regression + HSIC test on cause-effect-pairs
rep = 1; % only one repetition
disturbance = 0; % don't add extra noise to data
for pair=1:nrpairs
  exp_nonlingam;
end

% plot decision-accuracy curve
plot_results({sprintf('nonlingam_N=%d',Nmax)},'out/',0,nrpairs,'shapes','AN');

% print to EPS file
print('-depsc2','cep_an.eps');
